# `mise generate`

- **Usage**: `mise generate <SUBCOMMAND>`
- **Aliases**: `gen`
- **Source code**: [`src/cli/generate.rs`](https://github.com/jdx/mise/blob/main/src/cli/generate.rs)

[experimental] Generate files for various tools/services

## Subcommands

- [`mise generate git-pre-commit [FLAGS]`](/cli/generate/git-pre-commit.md)
- [`mise generate github-action [FLAGS]`](/cli/generate/github-action.md)
- [`mise generate task-docs [FLAGS]`](/cli/generate/task-docs.md)
